org.apache.ignite.internal.processors.rest.request

## Class GridRestTopologyRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest
  - - org.apache.ignite.internal.processors.rest.request.GridRestTopologyRequest

    public class GridRestTopologyRequest
    extends GridRestRequest

Grid command topology request.

### Constructor Summary

Constructors
Constructor and Description
`GridRestTopologyRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `includeAttributes()`
`void` `includeAttributes(boolean includeAttrs)`
`boolean` `includeCaches()`
`void` `includeCaches(boolean includeCaches)`
`boolean` `includeMetrics()`
`void` `includeMetrics(boolean includeMetrics)`
`UUID` `nodeId()`
`void` `nodeId(UUID nodeId)`
`String` `nodeIp()`
`void` `nodeIp(String nodeIp)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.request.GridRestRequest

`address, address, authorizationContext, authorizationContext, certificates, certificates, clientId, clientId, command, command, credentials, credentials, destinationId, destinationId, sessionToken, sessionToken, userAttributes, userAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridRestTopologyRequest

    public GridRestTopologyRequest()

### Method Detail

#### includeMetrics

    public boolean includeMetrics()

Returns:
  Include metrics flag.

#### includeMetrics

    public void includeMetrics(boolean includeMetrics)

Parameters:
  `includeMetrics` - Include metrics flag.

#### includeAttributes

    public boolean includeAttributes()

Returns:
  Include node attributes flag.

#### includeAttributes

    public void includeAttributes(boolean includeAttrs)

Parameters:
  `includeAttrs` - Include node attributes flag.

#### includeCaches

    public boolean includeCaches()

Returns:
  Include caches flag.

#### includeCaches

    public void includeCaches(boolean includeCaches)

Parameters:
  `includeCaches` - Include caches flag.

#### nodeId

    public UUID nodeId()

Returns:
  Node identifier, if specified, `null` otherwise.

#### nodeId

    public void nodeId(UUID nodeId)

Parameters:
  `nodeId` - Node identifier to lookup.

#### nodeIp

    public String nodeIp()

Returns:
  Node ip address if specified, `null` otherwise.

#### nodeIp

    public void nodeIp(String nodeIp)

Parameters:
  `nodeIp` - Node ip address to lookup.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridRestRequest`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021